import sqlite3
from sql_request import *
conn = sqlite3.connect('app/bdd_for_labels.db', check_same_thread=False)
c = conn.cursor()

def manage_parameters_error(title, link, labels, prescriber):
    '''Check if there are any mistakes with user inputs.
    '''
    if not title:
        return ("Erreur : Titre manquant")
    if not link:
        return ("Erreur : Lien manquant")
    if not labels:
        return ("Erreur : Sélectionnez au moins un label")
    return (1)

def add_title_link_prescriber(title, link, prescriber):
    '''Check if the name of the tuto doesn't exist and if
    if he doesn't exist, the tuto is add to database.
    '''
    c.execute("SELECT * FROM tutos WHERE title=? OR link=?", (title, link))
    res = c.fetchall()
    print(res)
    if (len(res) != 0):
        return ("Erreur : Ce tutoriel est déjà répertorié")
    c.execute('INSERT INTO tutos(title, link, prescriber) VALUES(?, ?, ?)', (title, link, prescriber))
    conn.commit()
    return (1)

def update_tuto_labels(link, labels):
    ''' Add for each label a row in table 'tuto_labels'
    that contain [link, id_label].
    '''
    labels = labels.split(',')
    request  = []
    for label_id in labels:
        inter = []
        inter.append(link)
        inter.append(label_id)
        request.append(inter)
    c.executemany("INSERT INTO tutos_labels(link, id_label) VALUES(?, ?)", request)
    conn.commit()

def add_tuto(title, link, labels, prescriber):
    '''Take the user inputs (title, link and selected labels)
    and add the tuto in 'tutos' table ([title, link, date])
    '''
    res = manage_parameters_error(title, link, labels, prescriber)
    res = 1
    if (res != 1):
        return (res)
    res = add_title_link_prescriber(title, link, prescriber)
    if (res != 1):
        return (res)
    update_tuto_labels(link, labels)
    return ("Tutoriel ajouté avec succès")

