/**
 * This file contains all the functions to operate on arrays. 
 */

function create_empty_tab(size) {
    /**
     * Create a table to store the status of labels 
     * (activate or innactivate).
     */
    var result = [];
    for (var i = 0; i < size; i++)
        result.push(0);
    return (result);
}

function is_in_tab(value, tab, index, dimension) {
    /**
     * Search a value in multidimensional array and if
     * if it is found return it's index. Else return -1.
     */
    for (var i = 0; tab[i]; i++) {
        if ((dimension == 1 && tab[i] == value) ||
            (dimension == 2 && tab[i][index] == value))
            return (i);
    }
    return (-1);
}

function calc_nb_occu_in_array(value, tab) {
    /**
     * Return the number of occurence of the 'value' in 'tab'.
     */
    var nb_occu = 0;
    for (var i = 0; tab[i]; i++) {
        if (value == tab[i])
            nb_occu++;
    }
    return (nb_occu);
}

function sort_tab_of_labels(tab_labels) {
    /**
     * Sort by alphabetic order new_labels_tab.
     */
    var result = [];
    var sort_tab = [];
    var labels_copy = [];
    for (var i = 0; tab_labels[i]; i++)
        sort_tab.push(tab_labels[i][1]);
    labels_copy = sort_tab.slice(0);
    sort_tab = sort_tab.sort();
    for (var i = 0; sort_tab[i]; i++)
        result.push(tab_labels[labels_copy.indexOf(sort_tab[i])]);
    return (result);
}