/**
 * These functions allow to update the list of tutotials
 * to print based on the labels contain in hierarcy.old_labels_tab.
 */

function maj_tutos_from_db() {
	/**
	 * Selects links related to labels in 'childs_of_old_labels'
	 * and labels in old tab and fill 'result_tab' with tutorials
	 * related to this links.
	 */
	var all_links = [];
	var join_labels = '';
	result.result_tab = [];
	if (result.childs_of_old_labels.length != 0)
		join_labels = result.childs_of_old_labels.join(',');
	else
		join_labels = join_labels_from_old_tab(hierarchy.old_labels_tab);
	join_labels = add_father_to_child_tab(hierarchy.old_labels_tab, join_labels);
	all_links = JSON.parse(request_ajax("labels_links/"+join_labels));
	result.links_of_results = "'"+all_links.join("','")+"'";
	result.result_tab = JSON.parse(request_ajax_post('tutos', result.links_of_results));
	result.del_unselected_tuto();
	hierarchy.maj_new_labels_tab();
}

function maj_tutos_after_remove() {
	/**
	 * Select tutos from database but each tuto
	 * returned must have all selected labels. For example, AFTER
	 * REMOVE one label they stay : "Calcul, CPP". The tutos
	 * selected must have this two labels.
	 */
	join_labels = join_labels_from_old_tab(hierarchy.old_labels_tab);
	all_links = JSON.parse(request_ajax("tuto_family/"+join_labels));
	result.links_of_results = "'"+all_links.join("','")+"'";
	result.result_tab = JSON.parse(request_ajax_post('tutos', result.links_of_results));
	result.del_unselected_tuto();
	hierarchy.maj_new_labels_tab();
}

function maj_tutos_for_many_labels() {
	/**
	 * If there is several labels (after left click on one label from hierachy)
	 * in old_tab we select just the last and we keep
	 * just the tutos in result_tab affiliate to this label.
	 * This happens when a [new label is added] to precedents
	 */
	var final_tab = [];
	var last_label = hierarchy.old_labels_tab[hierarchy.old_labels_tab.length - 1][0];
	var tuto_links_last_label = JSON.parse(request_ajax("link/"+last_label));
	for (var i = 0; result.result_tab[i]; i++) {
		if (is_in_tab(result.result_tab[i][1], tuto_links_last_label, null, 1) != -1)
			final_tab.push(result.result_tab[i]);
	}
	result.result_tab = final_tab;
	result.del_unselected_tuto();
	hierarchy.maj_new_labels_tab();
}