
# Signets Exploitation & Developpement

Dans ce test, on manipule des signets (bookmarks).
La liste des étiquettes est la suivante :

```
Exploitation, Administration
  MacOS, MacOSX, Apple, OSX
  Linux
    Debian
    Ubuntu
Programmation, Programming
  C++, CPP
  Python
```

La liste des signets et de leurs étiquettes :

```
Url-A : Programming, Debian => Programmation, Debian, Linux, Exploitation
Url-B : Python              => Python, Programmation
Url-E : Ubuntu              => Ubuntu, Linux, Exploitation
Url-C : C++                 => C++, Programmation
Url-D : Debian, Python      => Debian, Linux, Exploitation, Python, Programmation
```

## Affichage initial

On part de la liste complète des URLs, données par ordre alphabétique
dans le cadre de droite. Les étiquettes à afficher dans le cadre de gauche
sont les étiquettes discriminantes (celles qui ne sont pas présentes pour tous
les tutoriels) de plus haut niveau (par exemple on élimine "CPP" si "Programmation"
est présent, en prenant l'alias principal (par exemple "C++" plutôt que "CPP")
et en triant par ordre alphabétique.

```
  Exploitation       Url-A
  Programmation      Url-B
                     Url-C
                     Url-D
                     Url-E
```

## Sélection d'une étiquette

Si on sélection "Exploitation", on la fera apparaitre en haut de la liste des
étiquettes, avec une marque particulière pour montrer qu'elle est active. A
droite, on ne garde que les URLs qui possèdent l'étiquette sélectionnée,
puis on met à jour le cadre de gauche selon els mêmes règles que ci-dessus
(étiquettes discriminates principales et de plus haut niveau).

```
* Exploitation      Url-A
  Debian            Url-D
  Programmation     Url-E
  Ubuntu
```

## Sélection d'une deuxième étiquette

Sélectionnons à présent "Debian". Attention : dans la liste en haut et à
gauche des étiquettes actives, je garde l'ordre dans lequel j'ai sélectionné,
qui est censé "faire sens". Je NE retrie PAS par ordre alphabétique, et je ne
supprime pas "Exploitation sous prétexte qu'il est implicite avec "Debian".
Par contre, à droite, puis à gauche pour les étiquettes discriminanates,
procédure habituelle. "Programmation" n'est plus discriminant, et disparait
au profit de "Python".

```
* Exploitation      Url-A
* Debian            Url-D
  Python
```

## Sélection d'une troisième étiquette

Si enfin je sélectionne Python, il n'y a plus qu'une seule URL valide et
plus d'étiquettes discriminantes :

```
* Exploitation      Url-D
* Debian 
* Python
```

## Désélection de la deuxième étiquette

A ce stade, je veux par exemple pouvoir désélectionner l'étiquette "Debian".
Il n'y a toujours qu'une seule URL valide. A gauche, à l'exception de
l'étiquette que je viens d'enlever, je garde les autres étiquettes, dans
le même ordre :

```
* Exploitation      Url-D
* Python
```

## Désélection de la première étiquette

Si à présent je désélectionne "Exploitation", je réouvre un ma liste
d'URLs et d'étiquettes discriminantes :

```
* Python            Url-B
  Exploitation      Url-D
```

## Boucle

Si je désélectionne "Python", je reviens qu point de départ. Etc.



